Update event
curl --request PATCH \
--url https://tandem.hlofiys.xyz/api/events/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": false,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
'import requests
url = "https://tandem.hlofiys.xyz/api/events/{event_id}"
payload = {
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": False,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
start_time: '2025-09-15T19:00:00Z',
is_visible: false,
end_time: '2025-09-15T19:00:00Z',
max_bookings_per_user: 123,
schedule: [{time: '15:00', description: '<string>'}],
hall_id: 123
})
};
fetch('https://tandem.hlofiys.xyz/api/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tandem.hlofiys.xyz/api/events/{event_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'start_time' => '2025-09-15T19:00:00Z',
'is_visible' => false,
'end_time' => '2025-09-15T19:00:00Z',
'max_bookings_per_user' => 123,
'schedule' => [
[
'time' => '15:00',
'description' => '<string>'
]
],
'hall_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tandem.hlofiys.xyz/api/events/{event_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://tandem.hlofiys.xyz/api/events/{event_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tandem.hlofiys.xyz/api/events/{event_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"event_id": 123,
"name": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"max_bookings_per_user": 1,
"preview_image_url": "<string>",
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Admin: Events
Update event
Updates the details of an existing event by its unique ID.
Only the fields provided in the request body will be updated. Unspecified fields will remain unchanged.
This is a protected endpoint. Access is restricted to users with admin or manager roles.
PATCH
/
api
/
events
/
{event_id}
Update event
curl --request PATCH \
--url https://tandem.hlofiys.xyz/api/events/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": false,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
'import requests
url = "https://tandem.hlofiys.xyz/api/events/{event_id}"
payload = {
"name": "<string>",
"description": "<string>",
"start_time": "2025-09-15T19:00:00Z",
"is_visible": False,
"end_time": "2025-09-15T19:00:00Z",
"max_bookings_per_user": 123,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
start_time: '2025-09-15T19:00:00Z',
is_visible: false,
end_time: '2025-09-15T19:00:00Z',
max_bookings_per_user: 123,
schedule: [{time: '15:00', description: '<string>'}],
hall_id: 123
})
};
fetch('https://tandem.hlofiys.xyz/api/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tandem.hlofiys.xyz/api/events/{event_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'start_time' => '2025-09-15T19:00:00Z',
'is_visible' => false,
'end_time' => '2025-09-15T19:00:00Z',
'max_bookings_per_user' => 123,
'schedule' => [
[
'time' => '15:00',
'description' => '<string>'
]
],
'hall_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://tandem.hlofiys.xyz/api/events/{event_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://tandem.hlofiys.xyz/api/events/{event_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://tandem.hlofiys.xyz/api/events/{event_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"start_time\": \"2025-09-15T19:00:00Z\",\n \"is_visible\": false,\n \"end_time\": \"2025-09-15T19:00:00Z\",\n \"max_bookings_per_user\": 123,\n \"schedule\": [\n {\n \"time\": \"15:00\",\n \"description\": \"<string>\"\n }\n ],\n \"hall_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"event_id": 123,
"name": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"max_bookings_per_user": 1,
"preview_image_url": "<string>",
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Body
application/json
Response
The event has been successfully updated